# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

ARule Class Reference
Inheritance diagram for ARule:

## Additional Inherited Members
Public Member Functions inherited from Rule
const std::string & | getLayer1 ()
| returns the first layer of the rule.
virtual const std::string & | getLayer2 ()
| returns the second layer of the rule.
const std::string & | getName ()
| returns the name of the rule.
const std::string & | getRef ()
| returns the reference of the rule.
const std::string & | getType ()
| returns the type of the rule. More...
double | getValue ()
| returns the value of the rule.
const std::string & | getValueAsString ()
| returns the string corresponding to the value of the rule.
| Rule (const char *name, double value, const char *ref, const char *layer1, const char *layer2)
| creates a new rule. More...
void | setType (const char *)
| sets the type of a rule. More...

## Detailed Description

This class describes an asymmetrical rule.

An asymmetrical rule represents a two layers rule for which inverting layer1 and layer2 implies that the value of rule change. For example minimum enclosure rule is assymetrical.

Typical arules are: minExtension, minEnclosure, minLengthEnclosure, minWidthEnclosure, lineExtension, minGateExtension, minGateEnclosure

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved